var topic = "<!DOCTYPE html>\r\n\n<!-- saved from url=(0024)http://docs.autodesk.com -->\r\n<html>\n   <head>\n      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\">\n      <meta name=\"product\" content=\"MBXPRO\">\n      <meta name=\"release\" content=\"2019\">\n      <meta name=\"book\" content=\"GeneralUser\">\n      <meta name=\"created\" content=\"2019-06-11\">\n      <meta name=\"topicid\" content=\"GUID-1123AC1C-F71C-40BB-939D-6EC9A42A781C\">\n      <meta name=\"indexterm\" content=\"Materialien: CgFX\">\n      <meta name=\"indexterm\" content=\"CgFX-Materialien: Überblick\">\n      <meta name=\"indexterm\" content=\"CgFX-Materialien: Verwenden von\">\n      <meta name=\"topic-type\" content=\"concept\">\n      <title>Verwenden von CgFX-basierten Materialien</title><script language=\"javascript\">var index = \'index.html\';</script></head>\n   <body height=\"100%\">\n      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-1123AC1C-F71C-40BB-939D-6EC9A42A781C\"></a><div class=\"head\">\n            <h1>Verwenden von CgFX-basierten Materialien</h1>\n         </div>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7956\"></a> Mudbox unterstützt die CgFX-Materialspezifikation für entsprechend klassifizierte\n            Grafikkarten. Bei CgFX handelt es sich um eine Shader-Spezifikation, mit der Sie benutzerdefinierte\n            Materialien erstellen können, die die Leistung der Grafikkarte Ihres Computers ausnutzen,\n            um verschiedene interessante Materialien und Rendereffekte in Echtzeit zu produzieren.\n            \n         </p>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7955\"></a>Der Hauptvorteil beim Entwickeln und Verwenden von CgFX-Materialien besteht darin,\n            dass sie zwischen vielen Hardware- und Softwareanwendungen ausgetauscht werden können\n            (z.&nbsp;B. zwischen Maya und Mudbox). Dies gilt auch für andere Hardware-Plattformen,\n            die die CgFX-Spezifikation unterstützen (z.&nbsp;B. in Spielkonsolen). \n         </p>\n         <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7954\"></a>Weitere Informationen über die CgFX-Spezifikation und deren Struktur sowie ein ausführliches\n            Lernprogramm finden Sie in den folgenden Ressourcen: <a href=\"http://http.developer.nvidia.com/CgTutorial/cg_tutorial_appendix_c.html\" target=\"_blank\">http://http.developer.nvidia.com/CgTutorial/cg_tutorial_appendix_c.html</a>. \n         </p>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7952\"></a> \n            <h2><a name=\"GUID-461858D0-CEE9-419B-984D-C230FCFA00AF\"></a>Anmerkungen zur Verwendung von CgFX-Dateien in Mudbox\n            </h2> <a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7951\"></a><ul>\n               <li>Die CgFX-Datei muss mindestens eine gültige Technik enthalten. Eine Technik ist ein\n                  Reihe von Anweisungen, die beschreiben, wie Sie einen bestimmten Effekt erzielen können.\n                  \n               </li>\n               <li>Wenn die CgFX-Materialdatei Anmerkungen zu den zugewiesenen Variablen enthält, werden\n                  diese beim Kompilieren dazu verwendet, die Eigenschaftselemente innerhalb des Eigenschaftenfensters\n                  des CgFX-Materials zu generieren. \n               </li>\n               <li>Wenn die CgFX-Datei die Variablen <span class=\"code\">float3 vCameraLocalPosition,</span><span class=\"code\">float3 vLightLocalPosition </span>und <span class=\"code\">float4x4 mModelViewProject</span> enthält, weist Mudbox ihnen automatisch die entsprechenden Werte zu. \n               </li>\n               <li>In Mudbox können Sie Texturen in den CgFX-Dateien angeben, auf die Sie in Mudbox Farbe\n                  auftragen können. Mithilfe der Struktur MetaSampler können Sie einen Sampler mit einer\n                  Textur definieren und diesen in Mudbox als auftragbaren Kanal wählen. \n               </li>\n               <li>Mudbox unterstützt eine Teilmenge der SAS Annotations and Semantics. Die folgenden\n                  Semantiken werden unterstützt: World, WorldInverse, WorldTranspose, WorldInverseTranspose,\n                  WorldView, WorldViewInverse, WorldViewTranspose, WorldViewInverseTranspose, WorldViewProjection,\n                  WorldViewProjectionInverse, WorldViewProjectionTranspose, WorldViewProjectionInverseTranspose,\n                  View, ViewInverse, ViewTranspose, ViewProjection, ViewProjectionInverse, ViewProjectionTranspose,\n                  ViewProjectionInverseTranspose, Projection, ProjectionInverse, ProjectionTranspose,\n                  ProjectionInverseTranspose. \n               </li>\n               <li>Die folgenden Anmerkungen werden unterstützt: UIWidget, UIName, UIMin, UIMax. </li>\n            </ul> \n         </div>\n         <div><a name=\"WS1A9193826455F5FF-4F542F6211C68D07B4A-6E88\"></a><div class=\"note-note\"><span class=\"label label-target-language\">ANMERKUNG:</span> \n               <p><a name=\"GUID-53BEE41F-7CB5-459F-BD54-CA1EC2E7C096\"></a>Die Definitionen der oben genannten Semantiken und Anmerkungen finden Sie auf der\n                  Website von NVIDIA. \n               </p> \n            </div>\n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794C\"></a> \n            <h2><a name=\"GUID-5BCD0EC5-C1DC-4F4E-A916-16EA5CE95EBD\"></a>Laden von CgFX-Dateien in Mudbox\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794B\"></a>Mudbox erstellt für alle CgFX-Dateien, die sich im Effekte-Verzeichnis befinden, automatisch\n               die Materialien-Benutzeroberfläche im Eigenschaftsfenster für CgFX-basiertes Material.\n               Siehe <em class=\"strong\">Anmerkungen zur Verwendung von CgFX-Dateien in Mudbox</em> auf dieser Seite. \n            </p> <a name=\"GUID-6580BEAD-65BE-48F7-A613-1B693EA7E365\"></a><ul>\n               <li> <em class=\"strong\">(Windows)</em> <span class=\"code\"> <em class=\"mild\"></em> &lt;Laufwerk&gt;:\\Eigene Dateien\\Mudbox\\<em class=\"mild\">&lt;Version&gt;</em>\\data\\Effects</span> \n               </li>\n               <li> <em class=\"strong\">(Mac OS X)</em> <span class=\"code\"> /Users/&lt;<em class=\"mild\">Benutzername</em>&gt;/Library/Application Support/Autodesk/<em class=\"mild\">&lt;Version&gt;</em>/data/effects</span> \n               </li>\n               <li> <em class=\"strong\">(Linux)</em> <span class=\"code\">/home/&lt;<em class=\"mild\">Benutzername</em>&gt;/Mudbox/<em class=\"mild\">&lt;Version&gt;</em>/data/Effects</span> \n               </li>\n            </ul> \n            <div><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-794A\"></a><div class=\"note-note\"><span class=\"label label-target-language\">ANMERKUNG:</span>Das Verzeichnis <span class=\"code\">Effekte</span> enthält auch einige Beispiel-CgFX-Materialien. In diesem Verzeichnis abgelegte Dateien\n                  müssen  im Format .cgfx (unverschlüsselt) oder im Format .bin (verschlüsselt) vorliegen.\n                  \n               </div>\n            </div> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-7949\"></a>CgFX-Materialien werden bei jedem Start von Mudbox kompiliert. Je komplizierter die\n               CgFX-Materialien im Verzeichnis sind, desto länger dauert das Starten von Mudbox.\n               \n            </p> \n         </div>\n         <div class=\"section\"><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-668B\"></a> \n            <h2><a name=\"GUID-E916280D-1BB3-4E35-8C10-049BC76C1F2C\"></a>Verwandte Themen\n            </h2> \n            <p><a name=\"WS1A9193826455F5FF73C538A911AF8B6901A-668A\"></a> <span class=\"char_link\"><a href=\"GUID-16DE02E8-7013-49D9-B93A-8D93AB3556CE.htm\">Erstellen und Anwenden von Materialien</a></span> \n            </p> \n         </div>\n         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Senden Sie uns bitte Ihre Kommentare zu dieser Seite.</span></a></div><br><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.de\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"../images/ccLink.png\"></a>&nbsp;<em>Sofern nicht anders angegeben, wird dieses Produkt unter einer <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/deed.de\" target=\"_blank\">Namensnennung - Nicht-kommerziell - Weitergabe unter gleichen Bedingungen 3.0 Unported-Lizenz\n                  </a>bereitgestellt. Weitere Informationen finden Sie unter <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a>.</em></p><br></div>\n   </body>\n</html>";